<?php
/******************************************************************************/
//                                                                            //
//                             InstantCMS v1.9                                //
//                        http://www.instantcms.ru/                           //
//                                                                            //
//                   written by InstantCMS Team, 2007-2011                    //
//                produced by InstantSoft, (www.instantsoft.ru)               //
//                                                                            //
//                        LICENSED BY GNU/GPL v2                              //
//                                                                            //
/******************************************************************************/

class p_newmessages extends cmsPlugin {

// ==================================================================== //

    public function __construct(){
        
        parent::__construct();

        //   

        $this->info['plugin']           = 'p_newmessages';
        $this->info['title']            = ' ( )';
        $this->info['description']      = '    ';
        $this->info['author']           = 'SJen';
        $this->info['version']          = '1.0';

        //  -
        $this->config['   ']                           = 15;
        $this->config[' ,     ']  = 'my_messages';
        // ,    

        $this->events[]                 = 'PRINT_PAGE_HEAD';
        $this->events[]                 = 'PRINT_PAGE_BODY';
        

    }

// ==================================================================== //

    /**
     *   
     * @return bool
     */
    public function install(){

        return parent::install();

    }

// ==================================================================== //

    /**
     *   
     * @return bool
     */
    public function upgrade(){

        return parent::upgrade();

    }

// ==================================================================== //

    /**
     *  
     * @param string $event
     * @param array $user
     * @return html
     */
    public function execute($event, $html){
        parent::execute();

        switch ($event){
            case 'PRINT_PAGE_HEAD': 
              $inPage = cmsPage::getInstance();
              $inPage->addHeadJS('includes/jquery/jquery.timers.js');
              return $inPage->page_head;
              break;
            case 'PRINT_PAGE_BODY': 
              $period = $this->config['   '];
              $cl = $this->config[' ,     '];
            
              $html .= "
              <script type='text/javascript'>
                $(document).ready(function(){ 
                  $('div:first').everyTime('{$period}s', function(i) {
                    $.get('/plugins/p_newmessages/update.php',{},
                      function(data){                            
                        $('.$cl').html(data);     
                      });
                  });
                }); 
              </script>           
              "; 
              return $html;break;
        }

   return $html;


    }

// ==================================================================== //

}

?>
